ECHO OFF
IF %1.==. GOTO ERROR
IF NOT EXIST %1\NUL GOTO ERROR
LHA x /m1 TG %1\TGG\ *.*
LHA x /m1 SVGA %1\TGG\ *.*
LHA x /m1 3D %1\TGG\ *.*
LHA x /m1 SCENE %1\TGG\ *.*
LHA x /m1 TGA_PCX %1\TGG\ *.*
LHA x /m1 TIFF256 %1\TGG\IMAGEPRO\ *.*
LHA x /m1 TWEEN %1\TGG\ *.*
LHA x /m1 VSA256 %1\TGG\IMAGEPRO\ *.*
COPY README %1\TGG
ECHO ÿ
GOTO END
:ERROR
ECHO ÿ
ECHO You did not enter a valid drive letter. 
ECHO You must enter the drive letter like this:
ECHO ÿ
ECHO C:
ECHO ÿ
ECHO Re-run the installation for this program.
ECHO ÿ
:END